Subject: Re: Looking for a lost patch

From: Steffen Klassert <[email-masked]>
Date: Thu, 28 May 2015 07:51:52 +0200

On Wed, May 27, 2015 at 11:46:03AM -0400, David Miller wrote:
> From: Steffen Klassert <[email-masked]>
> Date: Wed, 27 May 2015 10:35:16 +0200
> 
> > We currently check if a socket is attached to a skb and do socket
> > error notification in this case, otherwise we do PMTU discovery if
> > the packet is too big. Looks like this socket check is not sufficient
> > if the packet is already transmitted through a tunnel device.
> > 
> > I wonder if we have something to know that a packet was already
> > transmitted through a tunnel device. We could switch from socket
> > notification to PMTU discovery in this case.
> 
> Generally speaking, we should not be orphaning the socket as it
> traverses through tunnels.
> 
> In fact we have taken great pains to avoid doing this.

Yes, I'm aware of this. I don't want to orphan the socket,
all I wanted to do is to change the way we notify about MTU
changes. I.e. use icmpv6_send() instead of xfrm_local_error()
if the packet traversed a tunnel, that's why I wondered whether
we can know this.